---
sidebar_position: 4
description: Gets a custom task field and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Gets a custom task field
 Get custom task field data



`Function GetCustomTaskField(Val URL, Val FieldID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | FieldID | --fieldid | String, Number | &#x2714; | Field ID for retrieval |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [task.item.userfield.get](https://dev.1c-bitrix.ru/rest_help/tasks/task/userfield/get.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL     = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    FieldID = "255";

    Result = OPI_Bitrix24.GetCustomTaskField(URL, FieldID);

    URL     = "b24-ar17wx.bitrix24.by";
    Token   = "6ad03969006e9f06006b12e400000001000...";
    FieldID = "257";

    Result = OPI_Bitrix24.GetCustomTaskField(URL, FieldID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetCustomTaskField \
             --url "b24-ar17wx.bitrix24.by" \
             --fieldid 261 \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetCustomTaskField ^
             --url "b24-ar17wx.bitrix24.by" ^
             --fieldid 261 ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
  "result": {
  "ID": "261",
  "ENTITY_ID": "TASKS_TASK",
  "FIELD_NAME": "UF_TEXT_FIELD",
  "USER_TYPE_ID": "string",
  "XML_ID": "NEW_TEXT_FIELD",
  "SORT": "100",
  "MULTIPLE": "N",
  "MANDATORY": "N",
  "SHOW_FILTER": "N",
  "SHOW_IN_LIST": "Y",
  "EDIT_IN_LIST": "Y",
  "IS_SEARCHABLE": "N",
  "SETTINGS": {
  "SIZE": 20,
  "ROWS": 1,
  "REGEXP": "",
  "MIN_LENGTH": 0,
  "MAX_LENGTH": 0,
  "DEFAULT_VALUE": ""
  },
  "EDIT_FORM_LABEL": {
  "ar": "",
  "br": "",
  "de": "",
  "en": "Updated field",
  "fr": "",
  "id": "",
  "it": "",
  "ja": "",
  "la": "",
  "ms": "",
  "pl": "",
  "ru": "Izmenennoe pole",
  "sc": "",
  "tc": "",
  "th": "",
  "tr": "",
  "ua": "",
  "vn": ""
  },
  "LIST_COLUMN_LABEL": {
  "ar": "Text field",
  "br": "Text field",
  "de": "Text field",
  "en": "Text field",
  "fr": "Text field",
  "id": "Text field",
  "it": "Text field",
  "ja": "Text field",
  "la": "Text field",
  "ms": "Text field",
  "pl": "Text field",
  "ru": "Text field",
  "sc": "Text field",
  "tc": "Text field",
  "th": "Text field",
  "tr": "Text field",
  "ua": "Text field",
  "vn": "Text field"
  },
  "LIST_FILTER_LABEL": {
  "ar": "Text field",
  "br": "Text field",
  "de": "Text field",
  "en": "Text field",
  "fr": "Text field",
  "id": "Text field",
  "it": "Text field",
  "ja": "Text field",
  "la": "Text field",
  "ms": "Text field",
  "pl": "Text field",
  "ru": "Text field",
  "sc": "Text field",
  "tc": "Text field",
  "th": "Text field",
  "tr": "Text field",
  "ua": "Text field",
  "vn": "Text field"
  },
  "ERROR_MESSAGE": {
  "ar": "Text field",
  "br": "Text field",
  "de": "Text field",
  "en": "Text field",
  "fr": "Text field",
  "id": "Text field",
  "it": "Text field",
  "ja": "Text field",
  "la": "Text field",
  "ms": "Text field",
  "pl": "Text field",
  "ru": "Text field",
  "sc": "Text field",
  "tc": "Text field",
  "th": "Text field",
  "tr": "Text field",
  "ua": "Text field",
  "vn": "Text field"
  },
  "HELP_MESSAGE": {
  "ar": "Text field",
  "br": "Text field",
  "de": "Text field",
  "en": "Text field",
  "fr": "Text field",
  "id": "Text field",
  "it": "Text field",
  "ja": "Text field",
  "la": "Text field",
  "ms": "Text field",
  "pl": "Text field",
  "ru": "Text field",
  "sc": "Text field",
  "tc": "Text field",
  "th": "Text field",
  "tr": "Text field",
  "ua": "Text field",
  "vn": "Text field"
  }
  },
  "total": 0,
  "time": {
  "start": 1722114797.9059,
  "finish": 1722114797.92375,
  "duration": 0.0178542137145996,
  "processing": 0.000695943832397461,
  "date_start": "2024-07-27T21:13:17+00:00",
  "date_finish": "2024-07-27T21:13:17+00:00",
  "operating_reset_at": 1722115397,
  "operating": 0
  }
  }
```
